package com.neusoft.smart.pos.trade.persistent.mapper;

import com.neusoft.smart.pos.trade.persistent.domain.GrantOrderMaster;
import com.neusoft.smart.pos.trade.persistent.domain.GrantOrderMasterExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GrantOrderMasterMapper {
    int countByExample(GrantOrderMasterExample example);

    int deleteByExample(GrantOrderMasterExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(GrantOrderMaster record);

    int insertSelective(GrantOrderMaster record);

    List<GrantOrderMaster> selectByExample(GrantOrderMasterExample example);

    GrantOrderMaster selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") GrantOrderMaster record, @Param("example") GrantOrderMasterExample example);

    int updateByExample(@Param("record") GrantOrderMaster record, @Param("example") GrantOrderMasterExample example);

    int updateByPrimaryKeySelective(GrantOrderMaster record);

    int updateByPrimaryKey(GrantOrderMaster record);

    void batchInsert(@Param("items") List<GrantOrderMaster> items);
}